test_ostream_dev.cpp File Reference
`#include <gtest/gtest.h>`
`#include <utl/dev/ostream_dev.h>`
`#include <array>`

Go to the source code of this file.

## Classes

class | test_ostream_dev::Ostream_dev_impl
class | test_ostream_dev::Ostream_vdev_impl
class | test_ostream_dev::Tostream_Idev
class | test_ostream_dev::Tostream_Vdev

## Namespaces

| test_ostream_dev

## Typedefs

using | test_ostream_dev::test_data_t = uint8_t

## Functions

| test_ostream_dev::TEST_F (Tostream_Idev, Construction)
| test_ostream_dev::TEST_F (Tostream_Idev, Api)
| test_ostream_dev::TEST_F (Tostream_Idev, streamOperator)
| test_ostream_dev::TEST_F (Tostream_Idev, Iterator1)
| test_ostream_dev::TEST_F (Tostream_Idev, Iterator2)
| test_ostream_dev::TEST_F (Tostream_Vdev, virtualApi)
| test_ostream_dev::TEST_F (Tostream_Vdev, virtualStream)
| test_ostream_dev::TEST_F (Tostream_Vdev, virtualIterator)

## Variables

test_data_t | test_ostream_dev::Idata = 42
test_data_t & | test_ostream_dev::IdataR = Idata
test_data_t && | test_ostream_dev::IdataRR = 0xAA
test_data_t | test_ostream_dev::Ibuffer [] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}

## Detailed Description

Copyright (C) 2018 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file test_ostream_dev.cpp.